Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #2150 (closed defect: fixed)

Opened 10 years ago

Last modified 10 years ago

[PATCH] -a, --auth behaver in quickstart

Reported by: helio Owned by: Gustavo
Priority: normal Milestone: 2.0b3
Component: Quickstart Templates Version: trunk
Severity: normal Keywords: auth
Cc:

Description

I notice that if we quickstart a new project with the -a (or --auth) option, you have again the question:
Do you need authentication and authorization in this project? [yes]

So I have created a PATCH to have -a (--auth) disable by default and if you don't give the option in the quickstart command, then you have the question. If you give the option, then you don't have the question.

Attachments

auth_quickstart.diff Download (1.9 KB) - added by helio 10 years ago.

Change History

Changed 10 years ago by helio

comment:1 Changed 10 years ago by Gustavo

  • Owner changed from Chris Arndt to Gustavo
  • Status changed from new to assigned

comment:2 in reply to: ↑ description Changed 10 years ago by Gustavo

  • Status changed from assigned to closed
  • Resolution set to fixed

Replying to helio:

So I have created a PATCH to have -a (--auth) disable by default and if you don't give the option in the quickstart command, then you have the question. If you give the option, then you don't have the question.

While developing the TG 1.9.7 betas, we decided to make it True by default, so I fixed this in [6105] by allowing --auth to receive a value (yes/no) optionally and thus avoiding that prompt.

Note: See TracTickets for help on using tickets.